zenilib: zenilib/jni/external/sdl/src/libm/e_pow.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
e_pow.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

double attribute_hidden | __ieee754_pow (double x, double y)

## Variables

static double | bp [] = { 1.0, 1.5, }
static double | cp = 9.61796693925975554329e-01
static double | cp_h = 9.61796700954437255859e-01
static double | cp_l = -7.02846165095275826516e-09
static double | dp_h []
static double | dp_l []
static double | huge_val = 1.0e300
static double | ivln2 = 1.44269504088896338700e+00
static double | ivln2_h = 1.44269502162933349609e+00
static double | ivln2_l = 1.92596299112661746887e-08
static double | L1 = 5.99999999999994648725e-01
static double | L2 = 4.28571428578550184252e-01
static double | L3 = 3.33333329818377432918e-01
static double | L4 = 2.72728123808534006489e-01
static double | L5 = 2.30660745775561754067e-01
static double | L6 = 2.06975017800338417784e-01
static double | lg2 = 6.93147180559945286227e-01
static double | lg2_h = 6.93147182464599609375e-01
static double | lg2_l = -1.90465429995776804525e-09
static double | one = 1.0
static double | ovt = 8.0085662595372944372e-0017
static double | P1 = 1.66666666666666019037e-01
static double | P2 = -2.77777777770155933842e-03
static double | P3 = 6.61375632143793436117e-05
static double | P4 = -1.65339022054652515390e-06
static double | P5 = 4.13813679705723846039e-08
static double | tiny = 1.0e-300
static double | two = 2.0
static double | two53 = 9007199254740992.0
static double | zero = 0.0

## Function Documentation

double attribute_hidden __ieee754_pow | ( | double | x,
|  | double | y
| ) |  |

Definition at line 106 of file e_pow.c.

References __ieee754_sqrt, bp, cp, cp_h, cp_l, dp_h, dp_l, EXTRACT_WORDS, fabs(), GET_HIGH_WORD, huge_val, hx, i, ivln2, ivln2_h, ivln2_l, ix, iy, j, k, L1, L2, L3, L4, L5, L6, lg2, lg2_h, lg2_l, lx, one, ovt, P1, P2, P3, P4, P5, scalbn(), SET_HIGH_WORD, SET_LOW_WORD(), t2, tiny, two, two53, u, and zero.

## Variable Documentation

double bp[] = { 1.0, 1.5, }

static

Definition at line 72 of file e_pow.c.

Referenced by __ieee754_pow(), _bdf_parse_glyphs(), hash_bucket(), hash_free(), hash_insert(), hash_rehash(), lib3ds_track_eval_quat(), png_do_shift(), png_do_unshift(), pos_key_setup(), rot_key_setup(), Zeni::serialize(), Zeni::unserialize(), and vorbis_analysis_blockout().

double cp = 9.61796693925975554329e-01

static

Definition at line 96 of file e_pow.c.

Referenced by __ieee754_pow(), _bdf_add_comment(), mmap_resize(), png_write_find_filter(), pos_key_setup(), and rot_key_setup().

double cp_h = 9.61796700954437255859e-01

static

Definition at line 97 of file e_pow.c.

Referenced by __ieee754_pow().

double cp_l = -7.02846165095275826516e-09

static

Definition at line 98 of file e_pow.c.

Referenced by __ieee754_pow().

double dp_h[]

static

Initial value:
= {
0.0, 5.84962487220764160156e-01,}

Definition at line 72 of file e_pow.c.

Referenced by __ieee754_pow().

double dp_l[]

static

Initial value:
= {
0.0, 1.35003920212974897128e-08,}

Definition at line 75 of file e_pow.c.

Referenced by __ieee754_pow().

double huge_val = 1.0e300

static

Definition at line 79 of file e_pow.c.

Referenced by __ieee754_pow().

double ivln2 = 1.44269504088896338700e+00

static

Definition at line 99 of file e_pow.c.

Referenced by __ieee754_pow().

double ivln2_h = 1.44269502162933349609e+00

static

Definition at line 100 of file e_pow.c.

Referenced by __ieee754_pow().

double ivln2_l = 1.92596299112661746887e-08

static

Definition at line 101 of file e_pow.c.

Referenced by __ieee754_pow().

double L1 = 5.99999999999994648725e-01

static

Definition at line 81 of file e_pow.c.

Referenced by __ieee754_pow().

double L2 = 4.28571428578550184252e-01

static

Definition at line 82 of file e_pow.c.

Referenced by __ieee754_pow().

double L3 = 3.33333329818377432918e-01

static

Definition at line 83 of file e_pow.c.

Referenced by __ieee754_pow().

double L4 = 2.72728123808534006489e-01

static

Definition at line 84 of file e_pow.c.

Referenced by __ieee754_pow().

double L5 = 2.30660745775561754067e-01

static

Definition at line 85 of file e_pow.c.

Referenced by __ieee754_pow().

double L6 = 2.06975017800338417784e-01

static

Definition at line 86 of file e_pow.c.

Referenced by __ieee754_pow().

double lg2 = 6.93147180559945286227e-01

static

Definition at line 92 of file e_pow.c.

Referenced by __ieee754_pow().

double lg2_h = 6.93147182464599609375e-01

static

Definition at line 93 of file e_pow.c.

Referenced by __ieee754_pow().

double lg2_l = -1.90465429995776804525e-09

static

Definition at line 94 of file e_pow.c.

Referenced by __ieee754_pow().

double one = 1.0

static

Definition at line 78 of file e_pow.c.

Referenced by __ieee754_pow(), and png_read_transform_info().

double ovt = 8.0085662595372944372e-0017

static

Definition at line 95 of file e_pow.c.

Referenced by __ieee754_pow().

double P1 = 1.66666666666666019037e-01

static

Definition at line 87 of file e_pow.c.

Referenced by __ieee754_pow().

double P2 = -2.77777777770155933842e-03

static

Definition at line 88 of file e_pow.c.

Referenced by __ieee754_pow().

double P3 = 6.61375632143793436117e-05

static

Definition at line 89 of file e_pow.c.

Referenced by __ieee754_pow().

double P4 = -1.65339022054652515390e-06

static

Definition at line 90 of file e_pow.c.

Referenced by __ieee754_pow().

double P5 = 4.13813679705723846039e-08

static

Definition at line 91 of file e_pow.c.

Referenced by __ieee754_pow().

double tiny = 1.0e-300

static

Definition at line 79 of file e_pow.c.

Referenced by __ieee754_pow().

double two = 2.0

static

Definition at line 78 of file e_pow.c.

Referenced by __ieee754_pow(), and pfr_lookup_bitmap_data().

double two53 = 9007199254740992.0

static

Definition at line 78 of file e_pow.c.

Referenced by __ieee754_pow().

double zero = 0.0

static

Definition at line 78 of file e_pow.c.

Referenced by __ieee754_pow().